Bug 74649 - Tab completion and new files.
Tab completion and new files.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-29 00:42 EDT by Ralph Loader
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-25 12:44:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralph Loader 2002-09-29 00:42:35 EDT
Tab completion does not work correctly on newly created files.

Version-Release number: bash-2.05b-5

How Reproducible:  Every time.

Steps to Reproduce:

1.  In a shell:

  mkdir tempdir
  cd tempdir
  ls xy<TAB> (and don't press return).

(<TAB> = press the tab key).

2. In a second shell, 'touch tempdir/xyzzy'

3. In the first shell, type <TAB> again.  

Actual Results:

The single possible completion (xyzzy) is displayed on a line, but the command
line being edited does not change:

  ~/tempdir$ ls xy
  xyzzy
  ~/tempdir$ ls xy

Expected Results:

The string "xy" should be completed to the single possibility:

  ~/tempdir$ ls xyzzy
Comment 1 Tim Waugh 2003-03-25 12:44:19 EST
This is intentional behaviour, according to the maintainer.

Note You need to log in before you can comment on or make changes to this bug.